#!/bin/bash

url=$(sed -n 's/^URL:\s\(.*\)$/\1/p' ./*.spec | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
pkgdir=$(basename $url | sed -s 's/\.git$//')

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    echo Cleaning up...
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone $url
cd $pkgdir
git archive --prefix='test/' --format=tar HEAD:test/ | bzip2 > ${pwd}/tests-1.0.0.tar.bz2
git archive --prefix='examples/' --format=tar HEAD:example/ | bzip2 > ${pwd}/examples-1.0.0.tar.bz2
popd
